# This file is part of 'PyAsync'
# Copyright 2000 Constantinos A. Kotsokalis <ckotso@cs.ntua.gr>
#
# PyAsync is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# PyAsync is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with PyAsync; see the file COPYING. If not, write to the
# Free Software Foundation, Inc.,
# 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.


# Event handlers:
# onAccept: Executed when an inbound connection is established (accepted)
# onRead: Executed when data is read from an active connection
# onClose: Executed after a socket closes connection, or we close on with
#			network_engine.sock_close(socket)
# onLoopEnd: Executed after reading data from all sockets available. This
#			mainly for maintenance reasons.

import sys

class handler:

	def __init__(self, neteng, errobj):
		self.neteng = neteng
		self.errobj = errobj
		return

	def onAccept(self, sock, where_from):
		print "Connection from " + where_from[0]
		return

	def onRead(self, sock, buff):
		sys.stdout.write(buff)
		sys.stdout.flush()
		return

	def onClose(self, sock):
		print "Connection closed"
		return

	def onLoopEnd(self):
		pass
		return

